## ezlvm 0.3

=== datapath/Makefile ===
COMMANDS=Datapath.activate  Datapath.attach  Datapath.deactivate  Datapath.detach

.PHONY: clean
clean:
	rm -f *.exe

.PHONY: test
test:
	# Running the commands will invoke the typechecker
	for command in $(COMMANDS); do \
	        echo $$command ; \
		./$$command --test ; \
	done

DESTDIR?=/
SCRIPTDIR?=/usr/lib/xapi-storage-script/datapath/block

.PHONY: install
install:
	mkdir -p $(DESTDIR)$(SCRIPTDIR)
	install -m 0755 $(COMMANDS) $(DESTDIR)$(SCRIPTDIR)

=== volume/Makefile ===
COMMANDS=Plugin.Query Plugin.diagnostics SR.create SR.ls SR.destroy SR.attach SR.detach Volume.create Volume.destroy Volume.stat Volume.snapshot Volume.clone
LIBRARIES=lvm.ml common.ml

.PHONY: clean
clean:
	rm -f *.exe

.PHONY: test
test:
	# Running the commands will invoke the typechecker
	for command in $(COMMANDS); do \
	        echo $$command ; \
		./$$command --test ; \
	done

DESTDIR?=/
SCRIPTDIR?=/usr/lib/xapi-storage-script/volume/org.xen.xcp.storage.ezlvm

.PHONY: install
install:
	mkdir -p $(DESTDIR)$(SCRIPTDIR)
	install -m 0755 $(COMMANDS) $(DESTDIR)$(SCRIPTDIR)
	install -m 0644 $(LIBRARIES) $(DESTDIR)$(SCRIPTDIR)

=== debian/changelog ===
ezlvm (0.3-1) UNRELEASED; urgency=low

  * Update to 0.3

 -- David Scott <dave.scott@citrix.com>  Tue, 23 Dec 2014 12:00:00 +0000

ezlvm (0.2.1-1) UNRELEASED; urgency=low

  * Update to 0.2.1

 -- David Scott <dave.scott@citrix.com>  Sat, 01 Nov 2014 12:00:00 +0000

ezlvm (0.1-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Fri, 17 Oct 2014 12:00:00 +0000

## ezlvm 0.4

=== Makefile ===
SUBDIRS=volume datapath

.PHONY: clean
clean:
	for dir in $(SUBDIRS); do \
          $(MAKE) -C $$dir clean; \
        done

.PHONY: test
test:
	for dir in $(SUBDIRS); do \
          $(MAKE) -C $$dir test; \
        done

.PHONY: install
install:
	for dir in $(SUBDIRS); do \
          $(MAKE) -C $$dir install; \
        done

=== debian/changelog ===
ezlvm (0.4-1) UNRELEASED; urgency=low

  * Update to 0.4

 -- David Scott <dave.scott@citrix.com>  Fri, 06 Feb 2015 12:00:00 +0000

=== debian/control ===
Source: ezlvm
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 xapi-storage,
 xapi-storage-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 liburi-ocaml-dev,
 camlp4-extra,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 ocamlscript,
 ocaml-findlib,
 libcmdliner-ocaml-dev,
 libre-ocaml-dev,
 libfindlib-ocaml-dev

Package: ezlvm
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-nox,
 ocaml-native-compilers,
 camlp4,
 camlp4-extra,
 ocaml-findlib,
 ocaml-findlib,
 libfindlib-ocaml-dev,
 xapi-storage-dev,
 xapi-storage,
 libre-ocaml-dev,
 libcmdliner-ocaml-dev,
 liburi-ocaml-dev,
 ocamlscript,
 libounit-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Simple LVM storage adapter for xapi
 Simple LVM storage adapter for xapi
